Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| WebLogic Integration
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.logging
Interface INestedDiagnosticContext

All Known Implementing Classes:
  LogCategory

public interface INestedDiagnosticContext

The public interface to the Nested Diagnostic Context object of the ADK Logging Framework

Author:
  Copyright © 2000, 2001 BEA Systems, Inc. All Rights Reserved.

Method Summary
`void` | `clearNDC()` Clear any nested disgnostic information.
`java.util.Stack` | `cloneNDCStack()` Clone the diagnostic context for the current thread.
`java.lang.String` | `getNDC()` Used when printing the diagnostic context.
`int` | `getNDCDepth()` Get the current nesting depth of this diagnostic context
`void` | `inheritNDC(java.util.Stack stack)` Inherit the diagnostic context of another thread.
`void` | `popNDC()` Clients should call this method before leaving a diagnostic context.
`void` | `pushNDC(java.lang.String message)` Push new diagnostic context information for the current thread.
`void` | `removeNDC()` Remove the diagnostic context for this thread
`void` | `setNDCMaxDepth(int depth)` Set maximum depth of this diagnostic context.

Method Detail

### clearNDC

    public void clearNDC()

  Clear any nested disgnostic information.

### cloneNDCStack

    public java.util.Stack cloneNDCStack()

  Clone the diagnostic context for the current thread.

  Returns:
    a stack for the current NDC

### getNDC

    public java.lang.String getNDC()

  Used when printing the diagnostic context.

### getNDCDepth

    public int getNDCDepth()

  Get the current nesting depth of this diagnostic context

### inheritNDC

    public void inheritNDC(java.util.Stack stack)

  Inherit the diagnostic context of another thread.

### popNDC

    public void popNDC()

  Clients should call this method before leaving a diagnostic context.

### pushNDC

    public void pushNDC(java.lang.String message)

  Push new diagnostic context information for the current thread.

### removeNDC

    public void removeNDC()

  Remove the diagnostic context for this thread

### setNDCMaxDepth

    public void setNDCMaxDepth(int depth)

  Set maximum depth of this diagnostic context.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| WebLogic Integration
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Integration (WLI)